Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.peerreview
Class FetchLeafsetApp

    java.lang.Object
      rice.pastry.client.PastryAppl
          rice.pastry.peerreview.FetchLeafsetApp

    public class FetchLeafsetApp

extends PastryAppl

Field Summary
`static int` | `APP_ID`
`protected int` | `numNeighbors`
`protected java.util.Map<Id,Tuple<TimerTask,java.util.Collection<Continuation<java.util.Collection<NodeHandle>,java.lang.Exception>>>>` | `pendingLookups`
`protected byte` | `routeMsgVersion`

Fields inherited from class rice.pastry.client.PastryAppl
`address, deserializer, instance, logger, options, receiver, thePastryNode`

Constructor Summary
`FetchLeafsetApp(PastryNode pn, int numNeighbors)`

Method Summary
`void` | `getNeighbors(Id subject, Continuation<java.util.Collection<NodeHandle>,java.lang.Exception> continuation)` Add to the pendingLookups.
`protected void` | `handleResponse(FetchLeafsetResponse response)`
`void` | `messageForAppl(Message msg)` Called by pastry when a message arrives for this application.

Methods inherited from class rice.pastry.client.PastryAppl
`accept, canReceiveSocket, connect, deliverWhenNotReady, destroy, enrouteMessage, finishReceiveSocket, getAddress, getDeserializer, getLeafSet, getNodeHandle, getNodeId, getRoutingTable, isClosest, leafSetChange, notifyReady, receiveMessage, receiveMessageInternal, register, routeMsg, routeMsg, routeMsgDirect, routeSetChange, setDeserializer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APP_ID

    public static final int APP_ID

See Also:
  Constant Field Values

### pendingLookups

    protected java.util.Map<Id,Tuple<TimerTask,java.util.Collection<Continuation<java.util.Collection<NodeHandle>,java.lang.Exception>>>> pendingLookups

### numNeighbors

    protected int numNeighbors

### routeMsgVersion

    protected byte routeMsgVersion

Constructor Detail

### FetchLeafsetApp

    public FetchLeafsetApp(PastryNode pn,
                           int numNeighbors)

Method Detail

### messageForAppl

    public void messageForAppl(Message msg)

  Description copied from class: `PastryAppl`
  Called by pastry when a message arrives for this application.

  Specified by:
    `messageForAppl` in class `PastryAppl`
  Parameters:
    `msg` - the message that is arriving.

### handleResponse

    protected void handleResponse(FetchLeafsetResponse response)

### getNeighbors

    public void getNeighbors(Id subject,
                             Continuation<java.util.Collection<NodeHandle>,java.lang.Exception> continuation)

  Add to the pendingLookups. If no pending lookups for the id, Schedule retries.

  Parameters:
    `subject` -
    `continuation` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.